const addCacheWrapper = (func) => {
    if (typeof func !== "function")
        throw new Error("param error ,need function!");
    const cache = {};
    return function (...rest) {
        const key = JSON.stringify(rest);
        if (cache[key])
            return cache[key];
        cache[key] = func(...rest);
        return cache[key];
    };
};
export default { addCacheWrapper };
